Unit VESDDapi;
{ ========================================================================== }
{ =   Lynx Tecnologia Eletrnica Ltda.                                     = }
{ =   Projeto:   Windows 95 / E/S digital ISA           Data: 03/jun/1999  = }
{ =   Mdulo:    VESDDapi                                                  = }
{ =   Autor:     Lauro                                                     = }
{ =   Descrio: Acesso s primitivas do driver VESDD                      = }
{ =   Verso:    1.0                                                       = }
{ ========================================================================== }

{-------------------------  Descrio da Interface  -------------------------}
Interface
  Uses Windows;


{ ========================================================================== }
{ =                     Primitivas do driver VESDD                         = }
{ ========================================================================== }

  Function  VESDD_Open: boolean; stdcall;
  Procedure VESDD_Close; stdcall;
  Function  VESDD_GetVersion: word; stdcall;
  Function  VESDD_ReadDI_Byte (rgPort: word): byte; stdcall;
  Function  VESDD_ReadDI (rgPort: word): word; stdcall;
  Procedure VESDD_WriteDO_Byte (rgPort: word; Value: byte); stdcall;
  Procedure VESDD_WriteDO (rgPort: word; Value: word); stdcall;



{--------------------------  Bloco de Implementao  ------------------------}
Implementation


{ ========================================================================== }
{ =              Primitivas de controle de acesso ao driver                = }
{ ========================================================================== }

{------------------------------------------- Abre o acesso ao drivee VESDD --}
Function VESDD_Open; stdcall; external 'VESDD.DLL';

{------------------------------------------ Fecha o acesso ao driver VESDD --}
Procedure VESDD_Close; stdcall; external 'VESDD.DLL';

{-------------------------------------------- Obtem informaes do driver  --}
Function VESDD_GetVersion: word; stdcall; external 'VESDD.DLL';

{------------------------------------ Leitura do port de entrada RegNumber --}
Function VESDD_ReadDI_Byte; stdcall; external 'VESDD.DLL';

{---------------------- Leitura do port de entrada RegNumber e RegNumber+1 --}
Function VESDD_ReadDI; stdcall; external 'VESDD.DLL';

{-------------------------------------- Escreve no port de saida RegNumber --}
Procedure VESDD_WriteDO_Byte; stdcall; external 'VESDD.DLL';

{------------------------ Escreve no port de saida RegNumber e RegNumber+1 --}
Procedure VESDD_WriteDO; stdcall; external 'VESDD.DLL';


{ ===================================================== }
{ =            Rotina de iniciao do mdulo          = }
{ ===================================================== }

end.

